#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    map<double, int, greater<double>> frilenseri;

    int a;
    double x;

    scanf("%d", &n);

    for(int i = 0; i < n; ++i)
    {
        scanf("%d", &a);
        scanf("%lf", &x);
        frilenseri.insert(make_pair(x, a));
    }

    double s = 0, max_zarada = 0, zarada;

    for(auto it : frilenseri)
    {
        s += it.second;
        zarada = it.first * s / 100;
        if(zarada > max_zarada) max_zarada = zarada;
    }

    printf("%lf", max_zarada);

    return 0;
}